### Method

# Pango AttrList update

since: 1.44

#### Declaration [src]

    void
    pango_attr_list_update (
      PangoAttrList* list,
      int pos,
      int remove,
      int add
    )

#### Description [src]

Update indices of attributes in `list` for a change in the text they refer to.

The change that this function applies is removing `remove` bytes at position `pos` and inserting `add` bytes instead.

Attributes that fall entirely in the (`pos`, `pos` + `remove`) range are removed.

Attributes that start or end inside the (`pos`, `pos` + `remove`) range are shortened to reflect the removal.

Attributes start and end positions are updated if they are behind `pos` + `remove`.

Available since: 1.44

#### Parameters

`pos`

  Type: `int`

  The position of the change.

`remove`

  Type: `int`

  The number of removed bytes.

`add`

  Type: `int`

  The number of added bytes.